body, html {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #1A1A1A; 
}

.container {
    text-align: center;
    padding: 15px;
}

.youtube-video{
    padding: 10px;
    border-radius: 20px;
    border: 1px solid #CCCCCC;
}

.youtube-video h3{
    color: #CCCCCC;
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

input[type="text"],
input[type="submit"] {
    margin: 10px;
    padding: 8px 11px;
    border: none;
    border-radius: 4px;
    outline: none;
}

input[type="text"]{
    width: 250px;
    text-align: center;
    background-color: #1A1A1A;
    border: 2px solid #CCCCCC;
    border-radius: 10px;
    color: #CCCCCC;
}

input[type="submit"] {
    background-color: #CCCCCC; 
    color: #1A1A1A; 
    cursor: pointer;
}


.youtube-player{
    margin-top: 20px;
}

.buttons-container button {
    color: #CCCCCC;
    background-color: #1A1A1A;
    border: 1px solid #CCCCCC;
    cursor: pointer;
    padding: 5px 10px;
    margin: 5px;
    border-radius: 5px;
}

.youtube-player iframe {
    width: 500px;
    height: calc(500px * 9 / 16);
}

#showVideos {
    max-height: 500px;
    overflow-y: auto;
}

.created-by {
    margin-top: 20px;
    font-size: medium;
    color: #CCCCCC;
    text-decoration: underline;
    text-decoration-thickness: 1px;
    font-family: 'Poppins', sans-serif;
}



@media screen and (max-width: 500px) {
    .youtube-player iframe {
        width: 300px;
        height: calc(300px * 9 / 16);
    }
}